OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class AExprPartExpr

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.PExpr
              org.opennms.netmgt.filter.node.AExprPartExpr

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

public final class AExprPartExpr
extends PExpr

Field Summary
`private PExprPart` `_exprPart_`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`AExprPartExpr()`
`AExprPartExpr(PExprPart _exprPart_)`

Method Summary
`void` `apply(Switch sw)`
`java.lang.Object` `clone()`
`PExprPart` `getExprPart()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setExprPart(PExprPart node)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _exprPart_

    private PExprPart _exprPart_

Constructor Detail

### AExprPartExpr

    public AExprPartExpr()

### AExprPartExpr

    public AExprPartExpr(PExprPart _exprPart_)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Node`

### apply

    public void apply(Switch sw)

### getExprPart

    public PExprPart getExprPart()

### setExprPart

    public void setExprPart(PExprPart node)

### toString

    public java.lang.String toString()

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.